#
# spec file for package libebml (Version 0.7.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libebml
BuildRequires:  gcc-c++
Url:            http://dl.matroska.org/downloads/libebml/
Version:        0.7.8
Release:        53.2
Summary:        Libary to Parse EBML Files
License:        LGPL v2.1 or later
Group:          Development/Libraries/Other
Source:         %{name}-%{version}.tar.bz2
Patch1:         makefile.diff
# Patch2:       libebml-gcc4.diff
Summary:        Libary to Parse EBML Files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr

%description
libebml is a C++ library to parse EBML files. See the EBML RFV at
http://www.matroska.org/technical/specs/rfc/.



Authors:
--------
    Steve Lhomme <steve.lhomme@free.fr>

%package devel
Summary:        Libary to Parse EBML Files
Group:          Development/Libraries/Other
Provides:       libebml:/usr/include/ebml/EbmlElement.h
Requires:       libebml = %{version}
AutoReqProv:    on

%description devel
libebml is a C++ library to parse EBML files. See the EBML RFV at
http://www.matroska.org/technical/specs/rfc/.



Authors:
--------
    Steve Lhomme <steve.lhomme@free.fr>

%prep
%setup
%patch1 -p1

%build
%ifarch %arm
# work around ICE
export CFLAGS="$RPM_OPT_FLAGS -O1"
%else
export CFLAGS="$RPM_OPT_FLAGS"
%endif
export CXXFLAGS="$CFLAGS"
cd make/linux
make PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=%{_libdir}

%install
cd make/linux
make install PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=$RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
%{_libdir}/libebml*.so.*

%files devel
%defattr (-,root,root)
%{_libdir}/libebml*.so
%{_libdir}/libebml*.a
/usr/include/ebml

%changelog
* Wed Mar  5 2008 seife@suse.de
- update to version 0.7.8 - only gcc-4.3 build fixes
- remove our gcc-4.3 patch
* Wed Oct 24 2007 seife@suse.de
- fix gcc-43 build problems (bugs 330737, 336510)
* Sat May 26 2007 ro@suse.de
- split off devel package
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Mar 31 2006 seife@suse.de
- update to version 0.7.7 bugfix release that fixes pointer
  aliasing issues
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 seife@suse.de
- version update to 0.7.6
* Tue Nov 15 2005 uli@suse.de
- build with -O1 on ARM (ICE workaround)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Jul  5 2005 seife@suse.de
- version update to 0.7.5
* Sun Apr 17 2005 seife@suse.de
- version update to 0.7.4
* Fri Apr 15 2005 sf@suse.de
- changed patch to only prevent 'unary lvalue error' for GCC4
* Thu Apr 14 2005 yxu@suse.de
- fixed for GCC4
* Mon Feb  7 2005 seife@suse.de
- version update to 0.7.3
* Tue Oct 26 2004 seife@suse.de
- version update to 0.7.2
* Wed Sep  1 2004 seife@suse.de
- initial submission
